package com.jeeplus.test.reimbursementsys.domain.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 报销信息表
 * @author: 徐滕
 * @version: 2022-05-16 11:06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("zs_reimbursement_business_info")
public class ReimbursementBusinessDTO extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @Excel(name = "报销人",width = 10)
    private String userName;  //报销人
    @Excel(name = "报销人部门",width = 12)
    private String userOfficeName;  //报销人员所属部门
    @Excel(name = "报销批次",width = 10)
    private String businessCode;  //报销批次
    private String businessCodeId;  //报销批次Id
    private String userId;  //报销人id
    @Excel(name = "报销年份",width = 10)
    private String year;    //报销年份
    private String reimbursementQuota;  //年报销额度
    private String reimbursementQuotaDay;  //日报销额度
    private String surplusReimbursementDay;  //剩余报销天数
    @Excel(name = "报销类型",width = 10)
    private String reimbursementType;  //报销类型（1：正常报销；2：补差）
    @Excel(name = "实发类型",width = 12)
    private String reimbursementFsalary;  //实发类型（1：报销不实发；2：报销并实发）
    @Excel(name = "报销天数",width = 10, type = 10)
    private String reimbursementDay;  //报销天数
    @Excel(name = "报销额度",width = 10, type = 10)
    private String reimbursementAmount;  //报销额度
    @Excel(name = "报销时间",width = 20,exportFormat  = "yyyy-MM-dd HH:mm:ss")
    private Date createDate;
    private String remainReimbursementAmount;  //剩余报销额度
    @Excel(name = "备注",width = 20)
    private String remarks; //备注
    @Excel(name = "报销部门",width = 10)
    private String officeType; //部门类型（1:中审众环；2：兴光会计；3：兴光项目；4：兴光评估）
    @Excel(name = "报销来源",width = 10)
    private String reimbursementAddress;  //地区类型（0：正常报销；1：武汉）


    /**
     * 报销开始日期
     */
    private Date beginDate;
    /**
     * 报销结束日期
     */
    private Date endDate;
    /**
     * 报销额度前区间
     */
    private String beginReimbursementQuota;
    /**
     * 报销额度后区间
     */
    private String endReimbursementQuota;

}
